%global		package_version 3.3.1
%global		package_name ovirt-log-collector

Name: rhsc-log-collector
Version: 2.1.2.0
Release: 0.3%{?dist}
Source0: %{name}-%{version}.tar.gz
License: ASL 2.0
Summary: Log Collector for RHSC
Group: Virtualization/Management
URL: http://www.ovirt.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	rhsc-sdk-python
Requires:	logrotate
Requires:	sos
Requires:	openssh-clients
BuildRequires:	python2-devel
BuildRequires:	gettext

Patch0: 0001-RHSC-Branding.patch
Patch1: 0002-gluster-Fix-datacenter-attribute-error.patch
Patch2: 0003-Hypervisors-as-servers.patch

%description
Log Collector tool for RHSC Engine

%prep
%setup -q -n %{name}

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
	--docdir="%{_docdir}/%{name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhsc-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhsc-log-collector.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{_sysconfdir}/ovirt-engine/logcollector.conf.d/.keep
%{python_sitelib}/ovirt_log_collector/*.py*
%{python_sitelib}/ovirt_log_collector/helper/*.py*
%{python_sitelib}/sos/plugins/*.py*
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhsc-log-collector

%changelog
* Mon Nov 11 2013 Aravinda VK <avishwan@redhat.com> - 2.1.2.0-0.3
 - Version number updated

* Tue Oct 15 2013 Aravinda VK <avishwan@redhat.com> - 2.1.2.0-0.1
 - Version number updated

* Wed Jun 26 2013 Aravinda VK <avishwan@redhat.com> - 2.1-0.1
- RHSC branding and Bug fixes(929118, 929047)

* Fri Dec 21 2012 Shireesh Anjal <sanjal@redhat.com> - 2.1-0.qa4
RHS-C

* Thu Mar 29 2012 Keith Robertson <kroberts@redhat.com> - 1.0.0-0
- Initial build
